Package com.xebialabs.xlrelease.domain.events

# Class DependencyCreatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.DependencyCreatedEvent

All Implemented Interfaces:
  `DependencyEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class DependencyCreatedEvent extends Object implements DependencyEvent, scala.Product, Serializable
Event published when a dependency is created in a gate task. param: dependency the created dependency.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DependencyCreatedEvent(Dependency dependency)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DependencyCreatedEvent`
  `apply(Dependency dependency)`
  `boolean`
  `canEqual(Object x$1)`
  `DependencyCreatedEvent`
  `copy(Dependency dependency)`
  `Dependency`
  `copy$default$1()`
  `Dependency`
  `dependency()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<Dependency>`
  `unapply(DependencyCreatedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### DependencyCreatedEvent

    public DependencyCreatedEvent(Dependency dependency)

- ## Method Details

  - ### apply

    public static DependencyCreatedEvent apply(Dependency dependency)

  - ### unapply

    public static scala.Option<Dependency> unapply(DependencyCreatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### dependency

    public Dependency dependency()

  - ### copy

    public DependencyCreatedEvent copy(Dependency dependency)

  - ### copy$default$1

    public Dependency copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`